org.apache.hc.client5.http.entity.mime

## Class MultipartPartBuilder

- java.lang.Object
- - org.apache.hc.client5.http.entity.mime.MultipartPartBuilder

-     public class MultipartPartBuilder
      extends Object

  Builder for individual `MultipartPart`s.
  Since:
    4.4

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultipartPartBuilder` | `addHeader(String name, String value)`
    `MultipartPartBuilder` | `addHeader(String name, String value, List<NameValuePair> parameters)`
    `MultipartPart` | `build()`
    `static MultipartPartBuilder` | `create()`
    `static MultipartPartBuilder` | `create(ContentBody body)`
    `MultipartPartBuilder` | `removeHeaders(String name)`
    `MultipartPartBuilder` | `setBody(ContentBody body)`
    `MultipartPartBuilder` | `setHeader(String name, String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static MultipartPartBuilder create(ContentBody body)

    - #### create

          public static MultipartPartBuilder create()

    - #### setBody

          public MultipartPartBuilder setBody(ContentBody body)

    - #### addHeader

          public MultipartPartBuilder addHeader(String name,
                                                String value,
                                                List<NameValuePair> parameters)

    - #### addHeader

          public MultipartPartBuilder addHeader(String name,
                                                String value)

    - #### setHeader

          public MultipartPartBuilder setHeader(String name,
                                                String value)

    - #### removeHeaders

          public MultipartPartBuilder removeHeaders(String name)

    - #### build

          public MultipartPart build()

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.